# Rendezvous IVP Sender Listener

The program `SXR3ISL1` works as a TIBCO messaging requestor application. It publishes Substation ES IVP requesting messages based on a set of parameters passed in through `SYSIN DD` statements in the run JCL and then waits for a reply from Substation ES.

If an error occurs, the process stops; otherwise, the process loops on the number specified in the REPEAT parameter.

When the BES application executes, it returns a reply; the messages are consumed and reported by this Substation ES IVP Rendezvous sender listener. Errors are also reported. The following JCL is available:

`USERHLQ.JCL`

Member:

- `SXCRIRSL` for CICS Interface IVPs
- `SXIRIRSL` for IMS Interface IVPs

Note: The `EXEC PARM - IVPNETW` is substituted with a set of TIBCO Rendezvous transport parameters. It is recommended that you use the provided default settings for all IVP runs. To use the other settings, see the TIBCO Rendezvous Administration manual for information about the parameters.

## SYSIN Parameters

The SYSIN parameter members are in the following data set:

Data Set: `USERHLQ.CNTL`

Member:

- `SXCRIP01` for CICS Interface IVPs
- `SXIRIP01` and `SXIRIP02` for IMS Interface IVPs

The following example shows the input control statements in the SYSIN parameter member:

        DEBUG ON
        *
        SUBJ-REQ tibss.IMS.Tran.Request
        WAIT 0
        *

The requesting messages that the IVP Sender Listener publishes are determined by the keywords and operands in the `SYSIN` DD Name file. See the following table for the control parameters.

The following table shows the Rendezvous IVP Sender Listener control parameters:

Keyword – Operand | Description
--- | ---
`BES name` | The BES interface ID for the tibss-BES system field. The default is a blank.
`BES-DELAY timevalue` | The length of time (in seconds) to wait between message replies on the CICS side. The value must fall between 0 and 60 inclusive. The default is 0.
`CLIENT-ID name` | The identifier to use with the Rendezvous daemon connection.
`CORRELATION-ID name` | A system field tibbs-CorrelationId to be added with the value specified. If the parameter is specified without a value, the UOW that appends to the end of 'BTCH-' is the value of the field tibss-CorrelationId.
`DAEMON URL:port` | The Rendezvous daemon URL and TCP port.
`DEBUG ON|OFF` | On or Off. When On, the debug mode is enabled.
`DESCR name` | The 56 characters for the IVP-DESCR field.
`IGNORE-TIMEOUT` | When specified, the application continues to send the next request message even if the previous request message reached its timeout before receiving a reply.
`INPUT-DDN name` | The input data `DDNAME` to use for test data. The default is TIBDATA.
`INPUT-FLDNAME name` | The field name to be used for data. The default is DATA.
`INPUT-FLDTYPE name` | The field type to use for data. May be OPA or STR. The default is OPA.
`INPUT-FLDRECORD number` | Indicates the position of the record to be used in the INPUT file. The default is 1, indicating the first record of the file.
`IVP-ID name` | The 8 characters for the IVP-ID field.
`MFS name` | The MFS Map name for the tibss-MFS-Name system field to be used in IMS BES. The default is a blank.
`NETWORK address` | The Rendezvous network parameter.
`NO-MSG` | This parameter will suppress the SXG8429I output message.
`PATTERN-LEN number` | The creation of the variable field IVP-STRING of length number, populated with 1--------10------…. The default is 0.
`PSWD password` | The password for the user ID previously specified and authorized to execute this process. This password depends on the Security Interface and is for the tibss-password system field. The default is a blank.
`PUBLISH-ONLY` | When included, the application sends messages but does not listen for replies.
`REPEAT number` | The number of times to repeat the send process. The default is 1.
`RESOURCE name` | The name of the tibss-resource system field, up to a maximum of eight characters. The default is a blank. If present, this value overrides the recipe Resource Name field, which depends on the Method of Invocation. For details, see Resource Name in Recipe Details Panel.
`SERVICE port` | The port number of the Rendezvous UDP service.
`SUBJ-REP name` | The name of the Rendezvous reply subject to which the reply message is sent. If not `PUBLISH-ONLY` and `SUBJ-REP` is absent, a private inbox subject name is used.
`SUBJ-REQ name` | The Rendezvous request subject name to which the message is sent.
`SUBJ-REQ-DYNAMIC` | When specified, directs the application to send each request message with dynamic subject name. The subject name is based on the input value of `REPEAT`. For example, if `SUBJ-REQ` is tibss.CICS.C.Request and `REPEAT` is xx, then the first message is sent to `tibss.CICS.C.Request.N1` the xxth message is sent to `tibss.CICS.C.Request.Nxx`.
`TIMEOUT timevalue` | The length of time (in seconds) for the response timeout. The default is 5.
`USER userid` | The RACF or back-end identifier for the user who is authorized to execute this process. This Id depends on Security Interface. For the tibss-userid system field; the default is a blank.
`WAIT timevalue` | The length of time (in seconds with decimals) to wait between message sends. The default is 0. For example: 1.5
`* text` | If the line begins with an asterisk (*), the text following the asterisk becomes a comment.

Copyright © TIBCO Software Inc. All rights reserved.